# Initial

execute unless entity @e[tag=tempinit] run function temp:init

# Timer

scoreboard players add timer success 1
execute if score timer success matches 3 run function temp:temperature
execute if score timer success matches 3 run scoreboard players set timer success 0

# Temperature Interpolation

execute as @a run scoreboard players operation @s success = @s temp2
execute as @a run scoreboard players operation @s success -= @s temp1
execute as @a[scores={success=..-1}] run scoreboard players add @s temp2 1
execute as @a[scores={success=1..}] run scoreboard players remove @s temp2 1

# Temperature Indicator

execute as @a[gamemode=!creative,gamemode=!spectator,tag=!norp,level=0] run function temp:rpindicator
execute as @a[gamemode=!creative,gamemode=!spectator,tag=!norp,level=1..] run function temp:rpindxp
execute as @a[gamemode=!creative,gamemode=!spectator,tag=norp] run function temp:indicator

# Burning

effect clear @a[tag=removewither,scores={temp2=-29..}] wither
tag @a remove removewither
execute as @a store result score @s success run data get entity @s Health
effect give @a[scores={temp2=30..}] wither 1 1 true
tag @a[scores={temp2=30..}] add removewither
gamerule showDeathMessages true
execute as @a[scores={tempdeath=1,temp2=30..}] run tellraw @a ["",{"selector":"@a[scores={tempdeath=1}]"},{"text":" couldn't beat the heat"}]
execute as @a[scores={temp2=30..},tag=!norp,gamemode=!creative,gamemode=!spectator] run function temp:burning
execute if entity @a[scores={temp2=30..,success=0..1}] run gamerule showDeathMessages false

# Freezing

effect give @a[scores={temp2=..-30},nbt=!{ActiveEffects:[{Id:20b}]}] wither 20 0 true
tag @a[scores={temp2=..-30}] add removewither
execute as @a[scores={temp2=..-30},tag=!norp,gamemode=!creative,gamemode=!spectator,level=0] run function temp:c1
execute as @a[scores={temp2=..-30},tag=!norp,gamemode=!creative,gamemode=!spectator,level=1..] run function temp:c1_xp
execute as @a[scores={tempdeath=1,temp2=..-30}] run tellraw @a ["",{"selector":"@a[scores={tempdeath=1}]"},{"text":" couldn't handle the cold"}]
execute if entity @a[scores={temp2=..-30,success=0..1}] run gamerule showDeathMessages false
scoreboard players set @a tempdeath 0

# Real Fire

scoreboard players set @a success -100
execute as @a store result score @s success run data get entity @s Fire
execute as @a[tag=!norp,scores={success=1..}] run function temp:dfire
title @a[tag=norp,scores={success=1..}] actionbar ["",{"text":"Temperature:","color":"white"},{"text":" Burning!","color":"dark_red"}]

# No RP Retexture
execute as @a[scores={craftice=1..}] run function temp:icecap
execute as @a[scores={craftmagma=1..}] run function temp:magmaplate

# Armor Repair

scoreboard players add itemrepair success 1
execute if score itemrepair success matches 10 run function temp:repair
execute if score itemrepair success matches 10 run scoreboard players set itemrepair success 0

# No RP Mode

scoreboard players enable @a ResourcePack
tag @a remove norp
tag @a[scores={ResourcePack=0}] add norp
