scoreboard players set @a temp1 0

# Magma Plate (20)
execute as @a[nbt={Inventory:[{Slot:102b,id:"minecraft:leather_chestplate"}]}] run scoreboard players add @s temp1 20

# Biomes
execute as @a run scoreboard players operation @s temp1 += @s biomeadd

# Torch (2)
execute as @a[nbt={SelectedItem:{id:"minecraft:torch"}}] run scoreboard players add @s temp1 2
execute as @a[nbt={Inventory:[{Slot:-106b,id:"minecraft:torch"}]}] run scoreboard players add @s temp1 2
execute as @a at @s store result score @s success run clone ~-3 ~-3 ~-3 ~3 ~3 ~3 ~-3 ~-3 ~-3 filtered #temp:torches force
scoreboard players add @a[scores={success=1..}] temp1 2

# Water (-10)
execute at @a if block ~ ~ ~ water run scoreboard players remove @p temp1 10

# Ice (-10)
execute as @a[nbt={SelectedItem:{id:"minecraft:ice"}}] run scoreboard players remove @s temp1 5
execute as @a[nbt={Inventory:[{Slot:-106b,id:"minecraft:ice"}]}] run scoreboard players remove @s temp1 5
execute as @a[nbt={SelectedItem:{id:"minecraft:packed_ice"}}] run scoreboard players remove @s temp1 5
execute as @a[nbt={Inventory:[{Slot:-106b,id:"minecraft:packed_ice"}]}] run scoreboard players remove @s temp1 5
execute as @a[nbt={SelectedItem:{id:"minecraft:blue_ice"}}] run scoreboard players remove @s temp1 5
execute as @a[nbt={Inventory:[{Slot:-106b,id:"minecraft:blue_ice"}]}] run scoreboard players remove @s temp1 5
execute as @a at @s store result score @s success run clone ~-3 ~-3 ~-3 ~3 ~3 ~3 ~-3 ~-3 ~-3 filtered #minecraft:ice force
scoreboard players remove @a[scores={success=1..}] temp1 10

# Daytime Cycle (+2, +5, +2, -3, -7, -3)
execute as @a at @s store result score @s success run clone ~ ~2 ~ ~ ~21 ~ ~ ~2 ~ filtered #temp:shelter force
tag @a remove shelter
execute as @a unless entity @s[scores={success=20}] run tag @s add shelter
execute store result score time success run time query daytime
execute if score time success matches 0..999 run execute as @a[tag=!shelter] at @s in minecraft:overworld at @s[distance=0] run scoreboard players add @s temp1 2
execute if score time success matches 1000..11999 run execute as @a[tag=!shelter] at @s in minecraft:overworld at @s[distance=0] run scoreboard players add @s temp1 5
execute if score time success matches 12000..12999 run execute as @a[tag=!shelter] at @s in minecraft:overworld at @s[distance=0] run scoreboard players add @s temp1 2
execute if score time success matches 14000..14999 run execute as @a at @s in minecraft:overworld at @s[distance=0] run scoreboard players remove @s temp1 3
execute if score time success matches 15000..21999 run execute as @a at @s in minecraft:overworld at @s[distance=0] run scoreboard players remove @s temp1 7
execute if score time success matches 22000..22999 run execute as @a at @s in minecraft:overworld at @s[distance=0] run scoreboard players remove @s temp1 3

# Lava (+10)
execute as @a[nbt={SelectedItem:{id:"minecraft:lava_bucket"}}] run scoreboard players add @s temp1 5
execute as @a[nbt={Inventory:[{Slot:-106b,id:"minecraft:lava_bucket"}]}] run scoreboard players add @s temp1 5
execute as @a at @s store result score @s success run clone ~-3 ~-3 ~-3 ~3 ~3 ~3 ~-3 ~-3 ~-3 filtered lava force
scoreboard players add @a[scores={success=1..}] temp1 10

# Y Levels (+3, +4)
execute as @a store result score @s success run data get entity @s Pos[1]
scoreboard players add @a[scores={success=..45}] temp1 3
scoreboard players add @a[scores={success=..15}] temp1 4

# Magma Blocks (+5)
execute as @a[nbt={SelectedItem:{id:"minecraft:magma_block"}}] run scoreboard players add @s temp1 2
execute as @a[nbt={Inventory:[{Slot:-106b,id:"minecraft:magma_block"}]}] run scoreboard players add @s temp1 2
execute as @a at @s store result score @s success run clone ~-3 ~-3 ~-3 ~3 ~3 ~3 ~-3 ~-3 ~-3 filtered magma_block force
scoreboard players add @a[scores={success=1..}] temp1 5

# Ice Cap (-20)
execute as @a[nbt={Inventory:[{Slot:103b,id:"minecraft:leather_helmet"}]}] run scoreboard players remove @s temp1 20

# Chainmail Piece (~~1)
scoreboard players add @a[scores={temp1=1..},nbt={Inventory:[{Slot:103b,id:"minecraft:chainmail_helmet"}]}] temp1 1
scoreboard players remove @a[scores={temp1=..-1},nbt={Inventory:[{Slot:103b,id:"minecraft:chainmail_helmet"}]}] temp1 1
scoreboard players add @a[scores={temp1=1..},nbt={Inventory:[{Slot:102b,id:"minecraft:chainmail_chestplate"}]}] temp1 1
scoreboard players remove @a[scores={temp1=..-1},nbt={Inventory:[{Slot:102b,id:"minecraft:chainmail_chestplate"}]}] temp1 1
scoreboard players add @a[scores={temp1=1..},nbt={Inventory:[{Slot:101b,id:"minecraft:chainmail_leggings"}]}] temp1 1
scoreboard players remove @a[scores={temp1=..-1},nbt={Inventory:[{Slot:101b,id:"minecraft:chainmail_leggings"}]}] temp1 1
scoreboard players add @a[scores={temp1=1..},nbt={Inventory:[{Slot:100b,id:"minecraft:chainmail_boots"}]}] temp1 1
scoreboard players remove @a[scores={temp1=..-1},nbt={Inventory:[{Slot:100b,id:"minecraft:chainmail_boots"}]}] temp1 1

# Iron Piece (~~2)
scoreboard players add @a[scores={temp1=1..},nbt={Inventory:[{Slot:103b,id:"minecraft:iron_helmet"}]}] temp1 2
scoreboard players remove @a[scores={temp1=..-1},nbt={Inventory:[{Slot:103b,id:"minecraft:iron_helmet"}]}] temp1 2
scoreboard players add @a[scores={temp1=1..},nbt={Inventory:[{Slot:102b,id:"minecraft:iron_chestplate"}]}] temp1 2
scoreboard players remove @a[scores={temp1=..-1},nbt={Inventory:[{Slot:102b,id:"minecraft:iron_chestplate"}]}] temp1 2
scoreboard players add @a[scores={temp1=1..},nbt={Inventory:[{Slot:101b,id:"minecraft:iron_leggings"}]}] temp1 2
scoreboard players remove @a[scores={temp1=..-1},nbt={Inventory:[{Slot:101b,id:"minecraft:iron_leggings"}]}] temp1 2
scoreboard players add @a[scores={temp1=1..},nbt={Inventory:[{Slot:100b,id:"minecraft:iron_boots"}]}] temp1 2
scoreboard players remove @a[scores={temp1=..-1},nbt={Inventory:[{Slot:100b,id:"minecraft:iron_boots"}]}] temp1 2

# Diamond Piece (~~3)
scoreboard players add @a[scores={temp1=1..},nbt={Inventory:[{Slot:103b,id:"minecraft:diamond_helmet"}]}] temp1 3
scoreboard players remove @a[scores={temp1=..-1},nbt={Inventory:[{Slot:103b,id:"minecraft:diamond_helmet"}]}] temp1 3
scoreboard players add @a[scores={temp1=1..},nbt={Inventory:[{Slot:102b,id:"minecraft:diamond_chestplate"}]}] temp1 3
scoreboard players remove @a[scores={temp1=..-1},nbt={Inventory:[{Slot:102b,id:"minecraft:diamond_chestplate"}]}] temp1 3
scoreboard players add @a[scores={temp1=1..},nbt={Inventory:[{Slot:101b,id:"minecraft:diamond_leggings"}]}] temp1 3
scoreboard players remove @a[scores={temp1=..-1},nbt={Inventory:[{Slot:101b,id:"minecraft:diamond_leggings"}]}] temp1 3
scoreboard players add @a[scores={temp1=1..},nbt={Inventory:[{Slot:100b,id:"minecraft:diamond_boots"}]}] temp1 3
scoreboard players remove @a[scores={temp1=..-1},nbt={Inventory:[{Slot:100b,id:"minecraft:diamond_boots"}]}] temp1 3

# Golden Piece (~~4)
scoreboard players add @a[scores={temp1=1..},nbt={Inventory:[{Slot:103b,id:"minecraft:golden_helmet"}]}] temp1 4
scoreboard players remove @a[scores={temp1=..-1},nbt={Inventory:[{Slot:103b,id:"minecraft:golden_helmet"}]}] temp1 4
scoreboard players add @a[scores={temp1=1..},nbt={Inventory:[{Slot:102b,id:"minecraft:golden_chestplate"}]}] temp1 4
scoreboard players remove @a[scores={temp1=..-1},nbt={Inventory:[{Slot:102b,id:"minecraft:golden_chestplate"}]}] temp1 4
scoreboard players add @a[scores={temp1=1..},nbt={Inventory:[{Slot:101b,id:"minecraft:golden_leggings"}]}] temp1 4
scoreboard players remove @a[scores={temp1=..-1},nbt={Inventory:[{Slot:101b,id:"minecraft:golden_leggings"}]}] temp1 4
scoreboard players add @a[scores={temp1=1..},nbt={Inventory:[{Slot:100b,id:"minecraft:golden_boots"}]}] temp1 4
scoreboard players remove @a[scores={temp1=..-1},nbt={Inventory:[{Slot:100b,id:"minecraft:golden_boots"}]}] temp1 4

# Jack O Lanterns (+2)
execute as @a[nbt={SelectedItem:{id:"minecraft:jack_o_lantern"}}] run scoreboard players add @s temp1 1
execute as @a[nbt={Inventory:[{Slot:-106b,id:"minecraft:jack_o_lantern"}]}] run scoreboard players add @s temp1 1
execute as @a at @s store result score @s success run clone ~-3 ~-3 ~-3 ~3 ~3 ~3 ~-3 ~-3 ~-3 filtered jack_o_lantern force
scoreboard players add @a[scores={success=1..}] temp1 2

# Glowstone (+3)
execute as @a[nbt={SelectedItem:{id:"minecraft:glowstone"}}] run scoreboard players add @s temp1 1
execute as @a[nbt={Inventory:[{Slot:-106b,id:"minecraft:glowstone"}]}] run scoreboard players add @s temp1 1
execute as @a at @s store result score @s success run clone ~-3 ~-3 ~-3 ~3 ~3 ~3 ~-3 ~-3 ~-3 filtered glowstone force
scoreboard players add @a[scores={success=1..}] temp1 3

# Fire (+10)
execute as @a at @s store result score @s success run clone ~-3 ~-3 ~-3 ~3 ~3 ~3 ~-3 ~-3 ~-3 filtered fire force
scoreboard players add @a[scores={success=1..}] temp1 10

# Underwater Sea Lantern (-2)
execute as @a at @s if block ~ ~ ~ water store result score @s success run clone ~-3 ~-3 ~-3 ~3 ~3 ~3 ~-3 ~-3 ~-3 filtered sea_lantern force
scoreboard players remove @a[scores={success=1..}] temp1 2

# Camp Fire (+15)
execute as @a at @s store result score @s success run clone ~-3 ~-3 ~-3 ~3 ~3 ~3 ~-3 ~-3 ~-3 filtered campfire[lit=true] force
scoreboard players add @a[scores={success=1..}] temp1 15

# Lantern (+3)
execute as @a[nbt={SelectedItem:{id:"minecraft:lantern"}}] run scoreboard players add @s temp1 1
execute as @a[nbt={Inventory:[{Slot:-106b,id:"minecraft:lantern"}]}] run scoreboard players add @s temp1 1
execute as @a at @s store result score @s success run clone ~-3 ~-3 ~-3 ~3 ~3 ~3 ~-3 ~-3 ~-3 filtered lantern force
scoreboard players add @a[scores={success=1..}] temp1 1

# Snow Layer (-8)
execute as @a[nbt={SelectedItem:{id:"minecraft:snow"}}] run scoreboard players remove @s temp1 4
execute as @a[nbt={Inventory:[{Slot:-106b,id:"minecraft:snow"}]}] run scoreboard players remove @s temp1 4
execute as @a at @s store result score @s success run clone ~-3 ~-3 ~-3 ~3 ~3 ~3 ~-3 ~-3 ~-3 filtered snow force
scoreboard players remove @a[scores={success=1..}] temp1 8

# Snow (-8)
execute as @a[nbt={SelectedItem:{id:"minecraft:snow_block"}}] run scoreboard players remove @s temp1 4
execute as @a[nbt={Inventory:[{Slot:-106b,id:"minecraft:snow_block"}]}] run scoreboard players remove @s temp1 4
execute as @a at @s store result score @s success run clone ~-3 ~-3 ~-3 ~3 ~3 ~3 ~-3 ~-3 ~-3 filtered snow_block force
scoreboard players remove @a[scores={success=1..}] temp1 8

# Snowball (-4)
execute as @a[nbt={SelectedItem:{id:"minecraft:snowball"}}] run scoreboard players remove @s temp1 4
execute as @a[nbt={Inventory:[{Slot:-106b,id:"minecraft:snowball"}]}] run scoreboard players remove @s temp1 4

# Fire Resistance (=<0)
execute as @a[nbt={ActiveEffects:[{Id:12b}]},scores={temp1=1..}] run scoreboard players set @s temp1 0

# Fire Protection (>-2)
scoreboard players remove @a[nbt={Inventory:[{Slot:103b,tag:{Enchantments:[{id:"minecraft:fire_protection"}]}}]},scores={temp1=2..}] temp1 2
scoreboard players remove @a[nbt={Inventory:[{Slot:102b,tag:{Enchantments:[{id:"minecraft:fire_protection"}]}}]},scores={temp1=2..}] temp1 2
scoreboard players remove @a[nbt={Inventory:[{Slot:101b,tag:{Enchantments:[{id:"minecraft:fire_protection"}]}}]},scores={temp1=2..}] temp1 2
scoreboard players remove @a[nbt={Inventory:[{Slot:100b,tag:{Enchantments:[{id:"minecraft:fire_protection"}]}}]},scores={temp1=2..}] temp1 2
scoreboard players remove @a[nbt={Inventory:[{Slot:103b,tag:{Enchantments:[{id:"minecraft:fire_protection"}]}}]},scores={temp1=1}] temp1 1
scoreboard players remove @a[nbt={Inventory:[{Slot:102b,tag:{Enchantments:[{id:"minecraft:fire_protection"}]}}]},scores={temp1=1}] temp1 1
scoreboard players remove @a[nbt={Inventory:[{Slot:101b,tag:{Enchantments:[{id:"minecraft:fire_protection"}]}}]},scores={temp1=1}] temp1 1
scoreboard players remove @a[nbt={Inventory:[{Slot:100b,tag:{Enchantments:[{id:"minecraft:fire_protection"}]}}]},scores={temp1=1}] temp1 1

# Near Enemies
execute at @a if entity @e[type=blaze,distance=0..4] run scoreboard players add @p temp1 5
execute at @a if entity @e[type=magma_cube,distance=0..4] run scoreboard players add @p temp1 3
execute at @a if entity @e[type=polar_bear,distance=0..4] run scoreboard players remove @p temp1 2
execute at @a if entity @e[type=snow_golem,distance=0..4] run scoreboard players remove @p temp1 4

# Raining
execute as @a at @s store result score @s success run loot spawn 0 -1 0 loot temp:weather
scoreboard players remove @a[scores={success=1..},tag=!shelter] temp1 2
